MooseX::Storage::Meta::Attribute::DoNotSerialize(3)

NAME
MooseX::Storage::Meta::Attribute::DoNotSerialize - A custom meta-attribute to bypass serialization

SYNOPSIS
  package Point;
  use Moose;
  use MooseX::Storage;

  with Storage('format' => 'JSON', 'io' => 'File');

  has 'x' => (is => 'rw', isa => 'Int');
  has 'y' => (is => 'rw', isa => 'Int');

  has 'foo' => (
      metaclass => 'DoNotSerialize',
      is        => 'rw',
      isa       => 'CodeRef',
  );

  1;

DESCRIPTION
Sometimes you don't want a particular attribute to be part of the serialization, in this case, you want to make sure that attribute uses this custom meta-attribute. See the SYNOPSIS for a nice example that can be easily cargo-culted.

METHODS

  Introspection

meta

BUGS
All complex software has bugs lurking in it, and this module is no exception. If you find a bug please either email me, or add the bug to cpan-RT.

AUTHOR
Chris Prather <chris.prather@iinteractive.com>

Stevan Little <stevan.little@iinteractive.com>

COPYRIGHT AND LICENSE
Copyright 2007-2008 by Infinity Interactive, Inc.

<http://www.iinteractive.com>

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself.